## debhelper 12.1.1~bpo9+1

=== debian/changelog ===
debhelper (12.1.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 08 Apr 2019 16:03:24 +0200

debhelper (12.1.1) unstable; urgency=medium

  * dh_installinitramfs: Install hooks as executable rather than
    plan files.  Thanks to Thorsten Glaser for the report.
    (Closes: #922990)
  * dh_compress: Fix bug where examples where compressed when a
    doc package shipped examples for another package.  Thanks to
    Christian Kastner for reporting this.  (Closes: #922267)

 -- Niels Thykier <niels@thykier.net>  Sat, 23 Feb 2019 13:24:47 +0000

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
Build-Depends: dpkg-dev (>= 1.18.0~),
               perl:any,
               po4a,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/debian/debhelper.git
Vcs-Browser: https://salsa.debian.org/debian/debhelper

Package: debhelper
Architecture: all
Depends: autotools-dev,
# Version 12 is where dh-autoreconf supports --sourcedirectory.
# Version 16 fixes #887482, version 17 fixes #889567
# Constraint can be relaxed if packages do not rely/require any of the
# above fixes
         dh-autoreconf (>= 17~),
# Version constraint is to get a version of dh-strip-nondeterminism
# without several bugs.  The constraint can be relaxed if an older
# version is sufficient.
         dh-strip-nondeterminism (>= 0.028~),
# dbgsym support landed in 1.18.0, 1.18.2 fixes a related nasty bug.
         dpkg (>= 1.18.0~),
         dpkg-dev (>= 1.18.2~),
         dwz,
         file (>= 3.23),
         libdpkg-perl (>= 1.17.14),
         man-db,
         po-debconf,
         ${misc:Depends},
         ${perl:Depends}
Breaks: dh-systemd (<< 1.38),
# To ensure cmake understands -DCMAKE_INSTALL_RUNSTATEDIR=/run as used in compat 11
# - Can be dropped (with the caveat that cmake packages may behave differently
#   depending on the version of cmake).
        cmake (<< 3.9~),
# meson build system uses --wrap-mode, which requires meson (>= 0.40.0)
        meson (<< 0.40.0~),
# Re-add if qt5-qmake is added to stretch-backports
# The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
# fixes in the subsequent uploads. It is only needed for cross-building.
#        qt5-qmake (<< 5.9.2+dfsg-8),
Replaces: dh-systemd (<< 1.38)
Suggests: dh-make
Provides: ${dh:CompatLevels},
          dh-sequence-dwz,
          dh-sequence-installinitramfs,
          dh-sequence-systemd,
Multi-Arch: foreign
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building Debian packages. Programs
 are included to install various files into your package, compress
 files, fix file permissions, integrate your package with the Debian
 menu system, debconf, doc-base, etc. Most Debian packages use debhelper
 as part of their build process.

Package: dh-systemd
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: debhelper (>= 9.20160709),
         ${misc:Depends},
Description: debhelper add-on to handle systemd unit files - transitional package
 This package is for transitional purposes and can be removed safely.

## debhelper 12.1.1~mx17+1

=== debian/changelog ===
debhelper (12.1.1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 13 Jul 2020 13:54:25 -0400

debhelper (2.2.20) u

## debhelper 12.1.1~nd16.04+1

=== debian/changelog ===
debhelper (12.1.1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 12 May 2020 15:25:37 -0400

## debhelper 12.1.1~nd18.04+1

=== debian/changelog ===
debhelper (12.1.1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 12 May 2020 15:28:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -14,7 +15,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: autotools-dev,
+Depends: neurodebian-popularity-contest, autotools-dev,
 # Version 12 is where dh-autoreconf supports --sourcedirectory.
 # Version 16 fixes #887482, version 17 fixes #889567
 # Constraint can be relaxed if packages do not rely/require any of the
@@ -64,7 +65,7 @@
 Section: oldlibs
 Architecture: all
 Multi-Arch: foreign
-Depends: debhelper (>= 9.20160709),
+Depends: neurodebian-popularity-contest, debhelper (>= 9.20160709),
          ${misc:Depends},
 Description: debhelper add-on to handle systemd unit files - transitional package
  This package is for transitional purposes and can be removed safely.

## debhelper 12.1.1~nd90+1

=== debian/changelog ===
debhelper (12.1.1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 12 May 2020 15:18:21 -0400

## debhelper 12.1.1ubuntu1~cloud0

=== debian/changelog ===
debhelper (12.1.1ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 25 Jun 2019 10:03:39 +0000

debhelper (12.1.1ubuntu1) eoan; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 20 Apr 2019 17:22:06 -0600

## debhelper 12.1.1ubuntu1~ubuntu18.04.1

=== debian/changelog ===
debhelper (12.1.1ubuntu1~ubuntu18.04.1) bionic-backports; urgency=medium

  * No-change backport to bionic

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 May 2019 11:37:25 +0200

## debhelper 12.1.1ubuntu1~ubuntu18.10.1

=== debian/changelog ===
debhelper (12.1.1ubuntu1~ubuntu18.10.1) cosmic-backports; urgency=medium

  * No-change backport to cosmic

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 May 2019 11:37:17 +0200

## debhelper 12.1.1ubuntu1~ubuntu19.04.1

=== debian/changelog ===
debhelper (12.1.1ubuntu1~ubuntu19.04.1) disco-backports; urgency=medium

  * No-change backport to disco

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 May 2019 11:37:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -15,7 +15,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: neurodebian-popularity-contest, autotools-dev,
+Depends: autotools-dev,
 # Version 12 is where dh-autoreconf supports --sourcedirectory.
 # Version 16 fixes #887482, version 17 fixes #889567
 # Constraint can be relaxed if packages do not rely/require any of the
@@ -46,7 +46,8 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,
@@ -65,7 +66,7 @@
 Section: oldlibs
 Architecture: all
 Multi-Arch: foreign
-Depends: neurodebian-popularity-contest, debhelper (>= 9.20160709),
+Depends: debhelper (>= 9.20160709),
          ${misc:Depends},
 Description: debhelper add-on to handle systemd unit files - transitional package
  This package is for transitional purposes and can be removed safely.

## debhelper 12.1.1+nmu1

=== debian/changelog ===
debhelper (12.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:03 +0800

## debhelper 12.6.1~bpo10+1

=== debian/changelog ===
debhelper (12.6.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Oct 2019 12:25:31 +0000

debhelper (12.6.1) unstable; urgency=medium

  * Upload to unstable now that libdebhelper-perl has been through
    the NEW queue.

 -- Niels Thykier <niels@thykier.net>  Sun, 15 Sep 2019 10:08:53 +0000

debhelper (12.6) experimental; urgency=medium

  [ Niels Thykier ]
  * dh_makeshlibs: Fix regression where versionless SONAMEs could
    trigger a rejection of the "generated" shlibs file (despite
    dh_makeshlibs not generating any "shlibs" files).
    (Closes: #939635)
  * dh_strip: Avoid impossible copy of .../debug/.dwz/ to itself
    when a manual debug package contained ELF files and was
    processed by dh_dwz before dh_strip.  (Closes: #939164)

  [ Sven Joachim ]
  * Split debhelper into debhelper (the tools) and libdebhelper-perl
    (the Perl libraries).  (Closes: #821130)
  * d/rules: Call dh_missing --fail-missing to catch bugs where files
    are not installed anywhere.

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Sep 2019 06:37:44 +0000

debhelper (12.5.4) unstable; urgency=medium

  * dh_installxfonts: Remove version in dependency on xfonts-utils
    added to ${misc:Depends}.  The version requirement has been
    satisfied for the past 3-4 releases.
  * dh_makeshlibs: Correct a control check that was only intended
    for automatic udeb detection, which incorrectly also checked
    when --add-udeb was passed.  Thanks to Andreas Metzler for
    reporting the issue.  (Closes: #935577)
  * dh: Fix bug where overrides for dh_dwz, dh_strip, dh_makeshlibs
    or dh_shlibdeps could be triggered via binary-indep in compat
    12 and earlier.  Thanks to Andreas Beckmann for reporting the
    issue.  (Closes: #935780)

 -- Niels Thykier <niels@thykier.net>  Sun, 01 Sep 2019 07:23:05 +0000

debhelper (12.5.3) unstable; urgency=medium

  * Dh_Getopt.pm: Skip compat call if d/control cannot be found
    and just assume that auto-abbreviation can be disabled in that
    case.  This avoids breaking options such as --help and --list.
    (Closes: #935017)
  * Dh_Lib.pm: Jump to hoops to only parse the Build-Dependency
    field in dh without breaking dh's own --list or --help
    parameter.  This fixes a regression since 12.5 where dh's
    --help and --list options were broken.
  * dh_builddeb: Revert removal of --destdir for now.  It is in
    fact used to hardcode paths in some cases e.g. v4l2loopback's
    debian/rules.modules.
  * dh_makeshlibs: Disable auto-filtering of udeb libraries.  It
    cannot be implemented without violating the requirements for
    the noudeb build-profile.
  * dh_makeshlibs: Fix invalid error under the noudeb profile
    where the absence of udeb content is expected rather than an
    in issue.  (Closes: #934999)

 -- Niels Thykier <niels@thykier.net>  Mon, 19 Aug 2019 09:50:19 +0000

debhelper (12.5.2) unstable; urgency=medium

  * dh_makeshlibs: Fix regression in compat 10 and earlier where
    dh_makeshlibs now failed on error.  This safety check was
    intended to be a compat 11 or later feature.
  * dh: Ensure addon API functions return 1 to avoid gratious
    breakage of addons due to perl's idiosyncrasy of requiring a
    truth value at the end of modules.  (See #935016)

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Aug 2019 07:36:20 +0000

debhelper (12.5.1) unstable; urgency=medium

  * dh_installdeb: Allow "+" to appear in token names as it is
    a valid character for package names.
  * dh_installdeb: Reject invalid token names passed to -D or
    --define (in most cases).
  * dh_makeshlibs: Fix bug in -X where it would no longer match
    as expected.  A regression since 12.5 - thanks to  Aurelien
    Jarno for reporting the issue over IRC.

 -- Niels Thykier <niels@thykier.net>  Sat, 17 Aug 2019 15:09:07 +0000

debhelper (12.5) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_strip: Skip stripping of guile-2.2 files by skipping all
    all files matching "/guile/.*\.go$".  Thanks to Jeremy Bicha
    and Rob Browning.  (Closes: #907061)
  * dh_auto_*: Officially adopt --sourcedir and --builddir as official
    parameters.  They have always worked since debhelper defaulted to
    supporting auto-abbreviated parameters, so this is simply documenting
    fait accompli for the most common abbreviation.
  * dh_*: Disable auto-abbreviation of command line parameters in compat
    13.
  * dh: Optimize out redundant helpers even when passed long options in
    compat 13.
  * dh_builddeb: Remove --destdir.  It has never been useful as everyone
    expects the debs to be placed in "..".
  * Dh_Lib.pm: Add a hint to resolve the error caused by having the
    compat level specified both as a build-dependency and in
    debian/compat.  Thanks to Alessandro Grassi for reporting the issue
    on IRC.
  * dh_makeshlibs: Fix bug where --no-add-udeb could trigger the
    auto-detection code.  (Closes: #934891)
  * dh_makeshlibs: When using the auto-detection of udeb, automatically
    exclude "udeb:" lines for libraries omitted from the udeb.  At the
    same time, verbosely fail if the udeb contains a library not present
    in the deb (overridable with --add-udeb).  (Closes: #934889)
  * dh: Support making "dh-sequence-ADDON" Build-Depends relation
    conditional on build-profiles (etc.).  If the relation is ignored due
    to the current build-profiles (etc.), then addon is silently skipped.
  * dh: Support running addons in "arch-only" or "indep-only" mode by
    adding "dh-sequence-ADDON" in Build-Depends-Arch or
    Build-Depends-Indep (respectively).  Not all addons support this and
    will trigger an error at load time.  Addon providers should ensure
    that their package provde "dh-sequence-ADDON" and review the
    doc/PROGRAMMING document (in the debhelper source) if they are
    considering to make their addon compatible with these requirements.
    (Closes: #836699)


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -32,6 +31,7 @@
          file (>= 3.23),
          libdpkg-perl (>= 1.17.14),
          man-db,
+         libdebhelper-perl (= ${source:Version}),
          po-debconf,
          ${misc:Depends},
          ${perl:Depends}
@@ -46,11 +46,11 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,
+          dh-sequence-elf-tools,
           dh-sequence-installinitramfs,
           dh-sequence-systemd,
 Multi-Arch: foreign
@@ -62,6 +62,20 @@
  menu system, debconf, doc-base, etc. Most Debian packages use debhelper
  as part of their build process.
 
+Package: libdebhelper-perl
+Section: perl
+Architecture: all
+Depends: ${misc:Depends},
+         ${perl:Depends}
+Replaces: debhelper (<< 12.6~)
+Breaks: debhelper (<< 12.6~)
+Multi-Arch: foreign
+Description: debhelper perl modules
+ A collection of programs that can be used in a debian/rules file to
+ automate common tasks related to building Debian packages.
+ .
+ This package provides the perl modules used by the scripts in debhelper.
+
 Package: dh-systemd
 Section: oldlibs
 Architecture: all

## debhelper 12.6.1ubuntu2

=== debian/changelog ===
debhelper (12.6.1ubuntu2) eoan; urgency=medium

  * Remove /xxx and /man/ cruft from the previous merge to reduce delta noise.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 17 Sep 2019 06:57:56 -0600

debhelper (12.6.1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
  * dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Sep 2019 11:23:57 +0200

debhelper (12.4ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 14 Aug 2019 23:13:50 -0600

debhelper (12.2.3ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 20 Jul 2019 01:26:58 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -46,7 +47,8 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
#
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.
#
# We disable autoreconf to avoid build-depending on it (it does
# nothing for debhelper and it keeps the set of B-D smaller)

PERL ?= perl

%:
	./run dh $@ --without autoreconf --with build-stamp

# Disable as they are unneeded (and we can then be sure debhelper
# builds without needing autotools-dev, dh-strip-nondetermism etc.)
override_dh_update_autotools_config override_dh_strip_nondeterminism:

override_dh_install:
	./run dh_install
	PERLLIBDIR=$$($(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper ; \
	    $(PERL) -I"debian/debhelper/$${PERLLIBDIR}" debian/gen-provides > debian/debhelper.substvars

override_dh_missing:
	./run dh_missing --fail-missing

## debhelper 12.7.3~bpo10+1

=== debian/changelog ===
debhelper (12.7.3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 14 Jan 2020 20:46:34 +0000

debhelper (12.7.3) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_perl: Use perl:any for perl module in addition to perl
    programs.  Thanks to Helmut Grohne and Niko Tyni for the
    suggestion and analysis.  (Closes: #946655)
  * dh_gencontrol: Clear the "Built-Using" flag for dbgsym
    packages.  It is irrelevant as the original binary will
    have the field plus the field can cause lintian warnings.
    (Closes: #947506)
  * lintian-overrides: Override no-dh-sequencer as it is a
    false-positive that lintian cannot be expected to know.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 4.0.0.

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2019 17:59:47 +0000

debhelper (12.7.2) unstable; urgency=medium

  [ Niels Thykier ]
  * dh: Skip conditional dh sequence addons in the clean target.
    This avoids FTBFS with conditional addons where the
    build-dependency is not satisfied.  (Closes: #944225)
  * meson.pm: Fix bug where dh_auto_test would break horribly
    under compat 13 due to an uninitialized variable.  Thanks to
    Benjamin Jacobs for reporting the issue.  (Closes: #945149)
  * dh_installman: Fix non-deterministic behaviour when there
    multiple definitions of the same manpage in a package.
    In compat 13, this is resolved by aborting with an error.
    In older compat levels, dh_installman will deterministically
    pick a canonical version (via sort) along with emitting a
    warning.  Thanks to Colin Watson for reporting the issue.
    (Closes: #943705)
  * dh_auto_*: In compat 13+, reset HOME and XDG_* environment
    variables.  Some are cleared and some are set to a writable
    directory that persist until dh_clean.  Thanks to
    Simon McVittie for reporting the issue.
    (Closes: #942111)
  * dh_auto_*:  As a side-effect of the above, debhelper in compat
    13+ no longer trips a FTBFS in sbuild for meson packages when
    ccache is installed but not configured/used explicitly.
    Thanks to Simon McVittie for reporting the issue.
    (Closes: #933799)
  * d/control: Bump Standards-Versions to 4.4.1 - no changes
    required.

  [ Andrius Merkys ]
  * debhelper.pod: Document changes to the gradle third-party
    build system in compat 13.

  [ Translations ]
  * Update German translation (Chris Leick)  (Closes: #943853)


 -- Niels Thykier <niels@thykier.net>  Sat, 07 Dec 2019 17:44:32 +0000

debhelper (12.7.1) unstable; urgency=medium

  [ Colin Watson ]
  * dh_installman: Correctly handle compressed manpages when
    dh_installman uses man-recode.  (Closes: #943376)

 -- Niels Thykier <niels@thykier.net>  Sat, 26 Oct 2019 06:42:04 +0000

debhelper (12.7) unstable; urgency=medium

  [ Niels Thykier ]:
  * dh_installman: Avoid error message when man-db is not installed
    (only occurs in debhelper's own build as man-db is a mandatory
    dependency).
  * dh_installman: Use man-recode(1) when available to massively
    speed up re-encoding performance for any package with a non-
    trivial amount of manpages.  Thanks to Robert Luberda for
    reporting the issue and Colin Watson for writing man-recode
    (Closes: #933576)
  * debhelper.pod: Actively discourage compat 11 as it has an
    issue that causes services not to start correctly in all cases
    (e.g. install, remove-but-not-purge, install again), which
    cannot be fixed.
  * dh_auto_*: Support a new --reload-all-buildenv-variables
    option for resetting the cache (of e.g. dpkg-buildflags).
    This is needed by e.g. parted which does two builds with
    different CFLAGS.
  * dh_makeshlibs: Suggest/Document that --no-add-udeb can be
    relevant for some udebs where the shared library for the udeb
    is embedded in a different package (e.g. the main udeb
    package).  Thanks to Nicolas Braud-Santoni for reporting the
    issue.  (Closes: #942454)
  * meson.pm: Fix invalid call under compat 13.  Thanks to
    Jeremy Bicha for testing it.  (Closes: #942690)

  [ Helmut Grohne ]:
  * cmake buildsystem: Fix CMAKE_SYSTEM_PROCESSOR for 32bit arms.
    (Closes: #941245)

  [ Niko Tyni ]
  * Basic support cross building XS modules:
    + perl_makemaker: run Makefile.PL with host arch Config.pm
    + perl_build: run Build.PL and Build with host arch Config.pm
    + dh_perl: scan host arch include directories for Perl plugins

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Oct 2019 17:48:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
                po4a,
+               man-db <pkg.debhelper.ci>,
+               libtest-pod-perl <pkg.debhelper.ci>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -47,8 +48,7 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
-Conflicts: pkg-create-dbgsym
+Replaces: dh-systemd (<< 1.38)
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,

## debhelper 12.9

=== debian/changelog ===
debhelper (12.9) unstable; urgency=medium

  [ Niels Thykier ]
  * debhelper.7: Clarify how DH_OPTIONS works and that some
    third-party tools may ignore it if they do not support
    it.  Thanks to Andrej Shadura for reporting the issue
    over IRC.
  * doc/PROGRAMMING: Introduce a section on the NOOP PROMISE
    comment.
  * dh: In compat 13, skip calls to hook and override targets
    for dh_auto_test, dh_dwz and dh_strip.  Thanks to
    Mike Hommey for suggesting it.  (Closes: #568897)
  * Dh_Getopt.pm: Remove support for "--ignore".  No package
    uses it any more.  For most parts, it has been replaced
    by the "3.0 (quilt)" source format.
  * debian/changelog: Clarify that substitutions change in
    12.8 only apply to the maintscript file (and not
    maintainer scripts) for dh_installdeb.
  * debhelper.7: Improve text in compat 13 section.
  * autoconf.pm: Only consider "configure" as an autoconf
    script if it is a file (and not a directory).  Thanks to
    Andrius Merkys for reporting the bug and providing a
    patch.  (Closes: #949396)
  * debian/control: Bump Standards-Version to 4.5.0 - no
    changes required.
  * dh_shlibdeps: Pass "--" in front of filenames passed to
    file(1).  Thanks to Christoph Biedl for the suggestion.
    (Closes: #949538)
  * dh_strip: Ditto
  * dh.1: Improve documentation for override targets and
    include a section on the new hook target.
    (Closes: #885994)
  * Dh_Lib.pm: Make it possible to disable the command
    logging by passing "inhibit_log => 1" to the init sub.
    Furthermore, the logging is now only enabled when init
    is called (and not disabled by that option or
    inhibit_log()).  This prevents Dh_Lib from triggering
    a log write just by being loaded.
  * dh: Refactor addon loading.  As a side-effect, dh no
    longer leaks as many functions into the scope of addons.
    Addons depending on the previous behaviour may now fail
    due to calls to undefined subroutintes and will need to
    be fixed.
  * dh_installinitramfs.1: Correct the name of localized
    versions of dh_installinitramfs so that man can find
    them.

  [ Thorsten Glaser ]
  * dh_auto_*: Make it possible to disable build systems by
    passing --buildsystem=none.  Previously this would
    require overriding each and every dh_auto_* tool.
    (Closes: #949635)

 -- Niels Thykier <niels@thykier.net>  Mon, 27 Jan 2020 20:45:05 +0000

debhelper (12.8) unstable; urgency=medium

  [ Niels Thykier ]
  * Dh_Lib.pm: Simplify internal loggning of which commands
    have been run.  We are no longer interested in whether
    it was an override target or not.
  * dh: Support "execute_before_X" and "execute_after_X"
    targets in debian/rules.  This is useful for injecting
    commands before or after the command "X" that dh runs.
    Note this feature requires compat 10 or later due to
    internal limitations in debhelper.  Attempts to use
    it in compat 9 will trigger an error.  Thanks to
    Christoph Berg for the suggestion.  (Closes: #885994)
  * dh: Detect and warn about override and hook targets
    for known obsolete commands.  In compat 13, this will
    be an error instead of a warning.
  * dh: Reset umask to 0022 as a consistent default value.
    Thanks to Thorsten Glaser for the suggestion.
    (Closes: #944691)
  * dh_missing: The --fail-missing parameter is now default
    in compat 13.  Thanks to Mattia Rizzolo for the
    suggestion.  (Closes: #917368)
  * dh_installtmpfiles: New command extracted from
    dh_installsystem that will handle tmpfiles.d
    configuration.  Thanks to Michael Biebl for the
    suggestion.  (Closes: #944478)
  * dh_installsystemd: In compat 13, this command will no
    longer manage tmpfiles.d configuration.
  * dh: Run dh_installtmpfiles by default in compat 13.
  * Dh_Lib.pm: Emit "error" and "warning" with error and
    warning messages.  Thanks to Paul Wise for the
    suggestion.  (Closes: #906723)
  * Dh_Lib.pm: Support colored output for warnings and
    errors (enabled by default).  The colors can be
    controlled by setting DH_COLORS or DPKG_COLORS.  The
    latter will also affect dpkg-related tools.
    Note: NO_COLOR is respected in the absence of
    DH_COLORS and DPKG_COLORS.
  * Dh_Lib.pm: Support substitution variables in files
    handled by filearray and filedoublearray in compat 13.
    This also applies to executable configuration files.
    As the substitution occurs after splitting the files
    into tokens, it can be used to include spaces in the
    tokens (often file names).  (Closes: #198507)
  * dh_install: Support substitution configuration files.
  * dh_clean: Ditto.
  * dh_installcatalogs: Ditto.
  * dh_installdeb: Ditto (debian/*.maintscripts only).
  * dh_installdirs: Ditto.
  * dh_installdocs: Ditto.
  * dh_installexamples: Ditto.
  * dh_installinfo: Ditto.
  * dh_installman: Ditto.
  * dh_installwm: Ditto.
  * dh_link: Ditto.
  * dh_missing: Ditto.
  * dh_ucf: Ditto.
  * debian/rules: Remove override for dh_missing as the
    --fail-missing parameter is default now.

  [ Helmut Grohne ]
  * Warn about missing perl-xs-dev for perl_* buildsystems.

 -- Niels Thykier <niels@thykier.net>  Sun, 19 Jan 2020 10:02:16 +0000

## debhelper 12.9ubuntu1

=== debian/changelog ===
debhelper (12.9ubuntu1) focal; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Feb 2020 14:20:25 -0700

debhelper (12.7.3ubuntu1) focal; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Jan 2020 21:57:04 -0700

debhelper (12.7.1ubuntu1) focal; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 26 Oct 2019 09:52:12 -0600

debhelper (12.7ubuntu1) focal; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - Generate ddebs from debhelper instead of pkg-create-dbgsym:
      + Make debhelper Conflict/Replace pkg-create-dbgsym to force it off.
      + Set DBGSYM_PACKAGE_TYPE to ddeb to get correct debian/files output.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7 and higher to avoid pointlessly bloating installed packages.
    - dh_strip: Strip LTO sections unless --keep-lto is given.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Oct 2019 12:35:36 -0600

## debhelper 12.10ubuntu1~cloud0

=== debian/changelog ===
debhelper (12.10ubuntu1~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Thu, 25 Jul 2024 11:22:55 +0000

debhelper (12.10ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 17:10:17 +0100

debhelper (12.10) unstable; urgency=medium

  [ Niels Thykier ]
  * dh_installsystemd.1: Improve documentation about tmpfiles that
    are now handled by dh_installtmpfiles in compat 13.
  * dh_installtmpfiles: Prefer debian/package.tmpfiles over
    debian/package.tmpfile, but accept the old path with a warning.
    Thanks to Michael Biebl for suggesting the change.
  * dh_strip: Automatically strip Link-Time Optimization (LTO)
    symbols from static archives.  The format is not stable between
    compiler versions.  Thanks to Matthias Klose for the
    suggestion and for providing the exact options.
    (Closes: #939656)
  * dh: Tweak the command-skipping optimization to skip commands
    in a few more cases when the command is known not to react to
    command line options.
  * dh,dh_installsytemd*: Work around broken NOOP promise caused by
    dh_installsystemd* using nonstandard "package@" prefix for
    pkgfiles.  Thanks to Badreddin Aboubakr and Andy Caldwell for
    reporting it.  (Closes: #950723, #951819)

  [ Nicholas Guriev ]
  * cmake: Verbose autogen rules.
  * cmake: Skip install all dependency with compatibility level 13 and
    above.

  [ Andy Caldwell ]
  * dh_installsystemduser: Fix bug that prevented dh_installsystemduser
    from installing parameterized services.  (Closes: #951819)

  [ Translations ]
  * Update German translation (Chris Leick)  (Closes: #951917)

 -- Niels Thykier <niels@thykier.net>  Tue, 24 Mar 2020 15:55:09 +0000

debhelper (4.1.52) unstable;

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper@packages.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
 Build-Depends: dpkg-dev (>= 1.18.0~),
                perl:any,
@@ -9,7 +10,7 @@
                man-db <pkg.debhelper.ci>,
                libtest-pod-perl <pkg.debhelper.ci>,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-perl
 Vcs-Git: https://salsa.debian.org/debian/debhelper.git
 Vcs-Browser: https://salsa.debian.org/debian/debhelper
@@ -48,7 +49,8 @@
 # The qmake cross wrapper was introduced in 5.9.2+dfsg-5, but got some important
 # fixes in the subsequent uploads. It is only needed for cross-building.
 #        qt5-qmake (<< 5.9.2+dfsg-8),
-Replaces: dh-systemd (<< 1.38)
+Replaces: dh-systemd (<< 1.38), pkg-create-dbgsym
+Conflicts: pkg-create-dbgsym
 Suggests: dh-make
 Provides: ${dh:CompatLevels},
           dh-sequence-dwz,

## debhelper 12.10ubuntu1

=== Makefile ===
PERL ?= perl
PO4A ?= po4a
POD2MAN ?= pod2man

# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | grep -v '~$$' | LC_ALL=C sort)
MANPAGES=$(COMMANDS:=.1) dh.1

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    TEST_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    TEST_JOBS = 1
endif

# Figure out the `current debhelper version.
VERSION=$(shell dpkg-parsechangelog -SVersion)

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=$(PERL) -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			my $$recommended_compat = q{$(VERSION)}; \
			$$recommended_compat =~ s{^\d+\K(?:\D.*|\..*)?}{}; \
			while (<STDIN>) { \
				s/\#LIST\#/$$list/g; \
				s/\#LIST_DEPRECATED\#/$$list_deprecated/g; \
				s/\#RECOMMENDED_COMPAT\#/$$recommended_compat/g; \
				print; \
			}; \
		}'

PERLLIBDIR=$(shell $(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN_FLAGS=--utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
LANG_TARGETS = $(foreach L,$(LANGS),translated-$(L)-stamp)
else
LANGS=
LANG_TARGETS =
endif

build: $(LANG_TARGETS) version debhelper.7 debhelper-obsolete-compat.7 $(MANPAGES)


po4a-stamp:
	$(PO4A) --previous -L UTF-8 man/po4a/po4a.cfg
	touch $@

translated-%-stamp: po4a-stamp
	set -e; \
	lang=$* ; \
	dir=man/$$lang; \
	for file in $$dir/dh*.pod; do \
		prog=`basename $$file | sed 's/.pod//'`; \
		$(POD2MAN) $(POD2MAN_FLAGS) $$file $$prog.$$lang.1; \
	done; \
	if [ -e $$dir/debhelper.pod ]; then \
		cat $$dir/debhelper.pod | \
			$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | LC_ALL=C sort` | \
			$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 > debhelper.$$lang.7; \
	fi; \
	if [ -e $$dir/debhelper-obsolete-compat.pod ]; then \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $$dir/debhelper-obsolete-compat.pod > debhelper-obsolete-compat.$$lang.7; \
	fi
	touch $@

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		lib/Debian/Debhelper/Dh_Version.pm

dh_%.1: dh_%
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

dh.1: dh
	$(POD2MAN) $(POD2MAN_FLAGS) $^ $@

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7  > $@

debhelper-obsolete-compat.7: debhelper-obsolete-compat.pod
	$(POD2MAN) $(POD2MAN_FLAGS) --name="debhelper" --section=7 $^ > $@

clean:
	rm -f *-stamp *.1 *.7 lib/Debian/Debhelper/Dh_Version.pm
ifneq ($(USE_NLS),no)
	$(PO4A) --previous --rm-translations --rm-backups man/po4a/po4a.cfg
endif
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem \
		$(DESTDIR)$(PERLLIBDIR)/DH
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 lib/Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 lib/Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install -m 0644 lib/Debian/Debhelper/DH/*.pm $(DESTDIR)$(PERLLIBDIR)/DH

test: version
	MAKEFLAGS= HARNESS_OPTIONS=j$(TEST_JOBS) ./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x && m/\.t$$/ } @ARGV' t/* t/*/*

=== t/buildsystems/debian/control ===
Source: testsrcpackage
Section: devel
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.8.1
Rules-Requires-Root: no

Package: testpackage
Architecture: all
Description: short description
 Long description

=== t/dh_installgsettings/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@nowhere>
Standards-Version: 3.9.8

Package: has-settings
Architecture: all
Depends: ${misc:Depends}
Description: package has-settings
 This package has a GSettings schema.

Package: no-settings
Architecture: all
Depends: ${misc:Depends}
Description: package no-settings
 This package doesn't have a GSettings schema.

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,6 @@
 # builds without needing autotools-dev, dh-strip-nondetermism etc.)
 override_dh_update_autotools_config override_dh_strip_nondeterminism:
 
-override_dh_install:
-	./run dh_install
+execute_after_dh_install:
 	PERLLIBDIR=$$($(PERL) -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper ; \
 	    $(PERL) -I"debian/debhelper/$${PERLLIBDIR}" debian/gen-provides > debian/debhelper.substvars
-
-override_dh_missing:
-	./run dh_missing --fail-missing

## debhelper 13~bpo10+1

=== debian/changelog ===
debhelper (13~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Mon, 27 Apr 2020 15:00:06 +0000

debhelper (13) unstable; urgency=medium

  [ Niels Thykier ]
  * debian/changelog: Fix typo of a bug number in the 12.10
    entry.  Thanks to Andy Caldwell for reporting it.
  * Dh_Lib.pm: Flag compat 9 as deprecated as announced in
    https://lists.debian.org/debian-devel-announce/2020/02/msg00000.html
  * dh_install: Remove trailing slashes from value to the --sourcedir
    parameter. This avoids dh_install computing an incorrect directory
    name.  Thanks to Mihai Moldovan for reporting the issue.
    (Closes: #955568)
  * dh_missing: Ditto.
  * SequencerUtil.pm/dh: Fix bug where the long forms of --builddirectory
    and --sourcedirectory might be ignored by dh causing it to skip
    dh_auto_* when it should not.  This is in practice only a problem in
    compat 13 as long form of arguments are not optimized in compat 12 or
    earlier.

  [ Chris Leick ]
  * debhelper.pod: Fix typos.
  * dh_makeshlibs: Ditto.
  * dh: Ditto.

  [ Helmut Grohne ]
  * perl_makemaker.pm: Add missing import of "warning" function.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Apr 2020 14:44:56 +0000

debhelper (12.9~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Niels Thykier <niels@thykier.net>  Sat, 01 Feb 2020 11:46:25 +0000
